Subject: bug#61432: 28.2; [PATCH] viper-init: disable face support

From: andrés ramírez <[email-masked]>
Date: Sat, 11 Feb 2023 18:32:36 +0000

Hi. Eli.

>>>>> "Eli" == Eli Zaretskii <[email-masked]> writes:

[...]

    Eli> The easiest one is this:

    Eli>   (require 'viper-init) (setq viper-minibuffer-vi-face viper-minibuffer-emacs-face)

    Eli> Did you try that?

I have tried it now. It is not giving me the right behaviour.

If You want to try that behaviour run:
emacs -Q -nw and C-x C-f (watch the faces on the prompt)
emacs -Q -nw -l /tmp/test-viper-loading.el

(require 'viper-init)
(setq viper-minibuffer-vi-face viper-minibuffer-emacs-face)
(setq viper-mode t)      
(setq viper-inhibit-startup-message 't)      
(setq viper-expert-level '5)      
(require 'viper)

[...]

    Eli> My problem with this is twofold:

    Eli>   . I don't like to have code in Emacs which "works around" our own code
    Eli> . viper-has-face-support-p is used for more than just the mode line

Mmm. Then perhaps the patch should be changed to integrate better with
the rest.

    Eli> So I'd prefer a different solution.  And in this case, it sounds like a possible solution
    Eli> already exists, see above.

See above.

Best Regards